=== Changelog ==

= 2.4.9 11/3/2025 =
Test WooCommerce 10.3.4
Fix default order status for manually created orders

= 2.4.8 10/23/2025 =
Test WooCommerce 10.3.0
Fix no payment found issue with block


= 2.4.7 10/1/2025 =
WooCommerce 10.2.2
WordPress 6.8.3

= 2.4.6 9/23/2025 =
Update language files.
Test WC 10.2.1
Remove warning for undefined $result variable


= 2.4.5 7/14/2025 =
Update language files. Fix issues with option to hide add to quote for visitors with faves

= 2.4.4 7/8/2025 =
Fix issue with add to faves in RFQ mode

= 2.4.3 7/1/2025 =
Reduced required PHP from 8.2 to 7.4

= 2.4.2 6/30/2025 =
Tested WC 9.9.5
New Optional Feature: Allow customers to save favorite products for later purchase or quote request

= 2.4.1 6/14/2025 =
remove unneeded writing to console in block.js if success
Tested WC 9.9.3

= 2.3.1 5/21/2025 =
translation of proceed to checkout
WooCommerce 9.8.5

= 2.3 5/20/2025 =
translations
WooCommerce 9.8.5


= 2.2.5 5/13/2025 =
filter for showing image in emails

= 2.2.4 5/8/2025 =
WooCommerce 9.8.4
WP 6.8
Fix plain emails


= 2.2.2 3/24/2025 =
fix js error
= 2.2.3 4/10/2025 =
add null check for quote request at checkout

= 2.2.1 3/22/2025 =
fix js error


= 2.2 3/18/2025 =
fix js error

= 2.2 3/18/2025 =
fix gpls_woo_rfq_INQUIRE_TEXT


= 2.0 3/16/2025 =
security related issue. Plugin check clean up.
WC tested up to: 9.7.1

= 1.9.181 2/4/2025 =
WC 9.6.1 test


= 1.9.180 1/22/2025 =
fix password file

= 1.9.179 11/22/2024 =
languge file corruption fixed

= 2.2.4 5/8/2025 =
WooCommerce 9.8.4
WP 6.8
Fix plain emails

= 1.9.178 11/22/2024 =
add to cart js decoded

= 1.9.177 11/21/2024 =
fix critical error

= 1.9.176 11/20/2024 =
Tested up to: 6.7
Requires PHP: 7.4
WC tested up to: 9.3.3
Fix issue of email escaping html

= 1.9.175 11/6/2024 =
fix notice error

= 1.9.174 11/4/2024 =
fix js error

= 1.9.173 10/31/2024 =
fix critical error

= 1.9.173 10/31/2024 =
fix critical error

= 1.9.172 10/30/2024 =
fix the problems with single product page labels after add to cart;
fix the problems with notices not deleting ;

= 1.9.171 10/29/2024 =
fix the problems with critical error;

= 1.9.170 10/28/2024 =
fix the problems with translation;

= 1.9.169 10/28/2024 =
fix &#8197;

= 1.9.169 10/28/2024 =
fix &#8197;

= 1.9.168 10/25/2024 =
fixes using the plugin check

= 1.9.167 10/11/2024 =
fix the problem with the warning ['cart'] and test WC 9.3.3

= 1.9.166 10/4/2024 =
fix the problem with duplicate attributes showing in normal

= 1.9.165 9/26/2024 =
fix proceed to checkout label for block checkout

= 1.9.164 9/25/2024 =
WooCommerce 9.3.2

= 1.9.163 9/20/2024 =
fix the issue payment text

= 1.9.162 8/28/2024 =
fix the issue with no payment option

= 1.9.161 8/27/2024 =
fix payment method error
WC 9.2.3

= 1.9.160 8/26/2024 =
fix payment method error
== Upgrade Notice ==

= 1.9.159 8/15/2024 =
remove payment method error

= 1.9.158 7/29/2024 =
block js minified
wc 9.1.4

= 1.9.157 7/23/2024 =
wc 9.1.2
block support for customer bid
= 1.9.156 7/5/2024 =
save revision when reverting to classic shortcode

= 1.9.155 7/2/2024 =
fix cart css

= 1.9.154 7/1/2024 =
bulk product changing for quote products

= 1.9.153 6/27/2024 =
support for WooCommerce checkout / cart blocks
woo 9.0.2

= 1.9.152 6/18/2024 =
check if the email exists for anon

= 1.9.151 6/1/2024 =
fix the order meta for hpoc

= 1.9.150 5/31/2024 =
fix the empty order in payment gateway

= 1.9.149 5/20/2024 =
update WooCommerce 8.9.1
out of stock message fixed for non-tracked products

= 1.9.148 5/14/2024 =
update WooCommerce 8.9.0

= 1.9.147 5/7/2024 =
Update WooCommerce 8.8.3
test WP 6.5.3

= 1.9.146 4/24/2024 =
Update WooCommerce 8.8.2

= 1.9.145 4/11/2024 =
Require  session handling in plugins loaded hook in admin

= 1.9.144 4/11/2024 =
Require  session handling in plugins loaded hook

= 1.9.143 4/9/2024 =
state is marked as required in normal checkout
shortcode cart/checkout
test WP 6.52

= 1.9.142 4/8/2024 =
remove log debug info

= 1.9.141 4/8/2024 =

fix create account
move reply to function to 'wp_loaded'
test WordPress 6.5

= 1.9.140 3/21/2024 =
fix "Reply to"

= 1.9.139 3/21/2024 =
Tested WC 8.7
add option to change "Reply to"
fix css for orders

= 1.9.138 3/20/2024 =
Notification

= 1.9.137 3/19/2024 =
fix issues shipping css

= 1.9.136 3/18/2024 =
fix issues with cart validation

= 1.9.135 3/12/2024 =
fix issues with thank you page, order receives and hidding shipping and "Replay to"

= 1.9.134 3/10/2024 =
problem  with prices not showing when paid order

= 1.9.133 3/9/2024 =
problem  with prices not showing when paid order

= 1.9.132 3/6/2024 =
button and qty button visibility for anon

= 1.9.131 2/22/2024 =
Check for function re-declaration to prevent error
removed un-needed code for inventory

= 1.9.130 2/20/2024 =
check for order being false for orders without payment

= 1.9.129 1/31/2024 =
change update_post_meta to $order->add_meta_data for HPOC

= 1.9.128 1/29/2024 =
fix price issue
WooCommerce 8.5.2 tested

= 1.9.127 1/27/2024 =
fix the problem with Uncaught Error: Call to undefined function wcs_get_subscriptions_for_order()

= 1.9.126 1/26/2024 =
fix the problem with subscriptions quote request email

= 1.9.125 1/10/2024 =
fix the problem with email image not showing

= 1.9.124 1/8/2024 =
fix the problem with email product title not showing

= 1.9.123 1/3/2024 =
fix the problem with email images(extra empty image) sent to customer

= 1.9.122 1/2/2024 =
remove the extra function from the email template

= 1.9.121 1/2/2024 =
fix the problem with products with no image in emails

= 1.9.120 1/1/2024 =
fix ajax call for the quote cart
Fix read me

= 1.9.119 12/4/2023 =
Blocks

= 1.9.118 11/28/2023 =
Blocks incompatible

= 1.9.117 11/28/2023 =
HPOC

= 1.9.116 11/16/2023 =
remove http host

= 1.9.115 11/9/2023 =
add setting for add to quote in the single page

= 1.9.114 11/6/2023 =
fix exception in email where there is no image for product

= 1.9.113 11/5/2023 =
fix css for product page

= 1.9.112 11/3/2023 =
test WooCommerce & WordPress 6.3.2,8.2.1
Adjust selector for quote cart widget

= 1.9.110 10/12/2023 =
test WooCommerce 8.2.0 , compatibility with MariaDB >10

= 1.9.109 9/21/2023 =
test WooCommerce 8.1.1 and WP 6.3.1

= 1.9.108 9/13/2023 =
Change the priority for redirect .

= 1.9.107 9/8/2023 =
fixed redirecting to cart for quotes .

= 1.9.106 9/1/2023 =
fixed critical error add to cart / add to quote/reverse HPOS comptability.

= 1.9.105 9/1/2023 =
fixed critical error add to cart / add to quote/reverse HPOS comptability.

= 1.9.104 8/30/2023 =
fixed HPOS compatibility critical error

= 1.9.103 8/29/2023 =
fixed HPOS compatibility


= 1.9.102 8/22/2023 =
fix problem with no payment available


= 1.9.101 8/22/2023 =
Compatibility with HPOS

= 1.9.100 8/1/2023 =
fix issue with quick view plugin
change the status for no payment at checkout to pending
fire new order with no payment orders with a comment in subject and note added to order

= 1.9.99 7/19/2023 =
fix add to quote alignment

= 1.9.98 7/17/2023 =
fix the http_host issue

= 1.9.97 7/14/2023 =
fixed function name error


= 1.9.96 7/14/2023 =
add a filter for submit your quote text button
public function to get quantity for each product

= 1.9.95 7/13/2023 =
fix add to cart disappearing when prices are shown in normal checkout

= 1.9.111 10/19/2023 =
add additional check for payment page

= 1.9.101 8/22/2023 =
Compatibility with HPOS

= 1.9.94 7/5/2023 =
fix critical error

= 1.9.93 7/3/2023 =
fix critical error

= 1.9.92 7/3/2023 =
fix my account issue

= 1.9.91 6/28/2023 =
Remove flicker from single product page

= 1.9.90 6/23/2023 =
Prices showing for quote requests fix2

= 1.9.89 6/23/2023 =
Prices showing for quote requests

= 1.9.88 6/23/2023 =
Prices showing for quote requests


= 1.9.87 6/21/2023 =
WC 7.8 and WP 6.2.2 Testing

= 1.9.86 6/3/2023 =
single product page fix add to cart showing

= 1.9.85 6/1/2023 =
single product page fix

= 1.9.84 5/26/2023 =
menu cart issue fixed

= 1.9.83 5/26/2023 =
plain text admin email issues fixed


= 1.9.82 5/16/2023 =
problem with null in order-items and customer notes function

= 1.9.81 5/13/2023 =
fix css error

= 1.9.80 5/13/2023 =
navbar cart always showing

= 1.9.79- 5/11/2023 =
Email problem due to plain version class

= 1.9.78- 5/10/2023 =
remove html tags from Plain text email

= 1.9.77- 5/5/2023 =
Fix style showing in add to quote

= 1.9.76- 5/3/2023 =
Fix button not showing in single product page for anon

= 1.9.75- 5/2/2023 =
Fix raw javascript showing in single product page

= 1.9.74- 5/1/2023 =
Fix button not showing for visitors

= 1.9.73- 4/21/2023 =
fix prices not showing in the related and widget area

= 1.9.72- 4/12/2023 =
fix the link in the single page

= 1.9.71- 4/11/2023 =
move the links to quote cart inside the template

= 1.9.70- 4/6/2023 =
fix the bug with adding to cart twice

= 1.9.69- 4/6/2023 =
fix the issue with 2 buttons

= 1.9.68- 4/2/2023 =
Tested With WordPress 6.2

= 1.9.67- 3/28/2023 =
tested with PHP 8.2
test WC 7.5.1

= 1.9.65- 3/14/2023 =
add custom css

= 1.9.64- 3/14/2023 =
fix problem with variable products

= 1.9.63- 3/11/2023 =
adjust js when add to cart is hidden

= 1.9.62- 3/6/2023 =
Fix account creation issue on always

= 1.9.61- 3/4/2023 =
Fix emails template and subject and header issues
Continue on the loop if the product is false while adding to quote cart

= 1.9.60- 3/1/2023 =
variable product empty prices showing zero
test WC 7.4.1


= 1.9.59- 2/24/2023 =
Fix second bug with add to cart with url. it added to regular cart

= 1.9.58- 2/24/2023 =
Fix bug with add to cart with no price

= 1.9.57- 2/21/2023 =
Fix problem with 8.2 deprecation Property declared dynamically
test WC 7.4.0

= 1.9.56- 2/9/2023 =
Fix problem with TM Extra option popup

= 1.9.55- 1/31/2023 =
fixed reducing stock when a quote is created and email is sent.

= 1.9.54- 1/28/2023 =
fixed email instruction error. Came through as string.

= 1.9.53- 1/27/2023 =
fixed thank you page

= 1.9.52- 1/13/2023 =
* fix error with gateway

= 1.9.51- 1/12/2023 =
* fix error with gateway

= 1.9.50- 1/12/2023 =
* fix flicker in single product page

= 1.9.49- 1/9/2023 =
* fix gateway not showing by increasing priority
* remove the duplicate add to cart action

= 1.9.48- 12/25/2022 =
* test  WC Tested up to: 6.1.1/WC tested up to: 7.7.2

= 1.9.47- 11/12/2022 =
* fix processing status emails
* #[ReturnTypeWillChange] for PHP 8
* test  WC 7.1.0

= 1.9.46- 11/8/2022 =
* wrong version uploaded

= 1.9.45- 11/7/2022 =
* check if $GLOBALS["gpls_woo_rfq_checkout_option"] exists

= 1.9.44- 10/22/2022 =
* test WP 6.0.3
* fix issue with checking if user not logged in causing fatal errors.

= 1.9.43- 10/17/2022 =
* Test WC 7.0.0
* add filter for thankyou page
* add link for tutorial

= 1.9.42- 10/5/2022 =
* Test WC 6.9.4
* fix links on the plugins page


= 1.9.41- 9/26/2022 =
* add check for is_plugin_active

= 1.9.40- 9/18/2022 =
* fix problem with empty prices

= 1.9.39- 9/16/2022 =
* fix problem with password field on quote request page

= 1.9.38- 9/16/2022 =
* ADD out of stock notification / suppression for sold out quote items

= 1.9.37- 9/14/2022 =
* Fix problem with 500 error and cart layout problem

= 1.9.36- 8/23/2022 =
* Fix problem with thank you function

= 1.9.35- 8/19/2022 =
* Fix problem with WooCommerce payments

= 1.9.34- 8/16/2022 =
* Fixed syntax error gpls_woo_rfq_functions.php on line 127

= 1.9.33- 8/15/2022 =
add defaults for empty price function

= 1.9.32- 8/2/2022 =
*fix - empty price shows as zero

= 1.9.31- 7/29/2022 =
*fix - zero price add to cart for non-quote items

= 1.9.30- 7/26/2022 =
*fix - WP 6.0.1

= 1.9.29- 7/18/2022 =
*fix - Thank you page

= 1.9.28- 7/17/2022 =
*add - Tested up to: 6.0.1
       WC tested up to: 6.7.0

= 1.9.27- 6/22/2022 =
*add - test WooCommerce 6.6.1.

= 1.9.26- 6/17/2022 =
*add - additional check at thank you page.

= 1.9.25- 6/14/2022 =
*fix - add to cart not saving from single page when both add to cart and add to quote are there

= 1.9.24- 6/8/2022 =
*fix - add to cart not saving from single page
*fix - wrong domain for string translations

= 1.9.23- 6/7/2022 =
*fix - session issues

= 1.9.22- 5/24/2022 =
*add - fix after theme setup

= 1.9.21- 5/13/2022 =
*add - additional check for changing add to cart text

= 1.9.20- 5/13/2022 =
*add - additional check for changing add to cart text

= 1.9.19- 5/2/2022 =
*fix - anon checkout && javascript displaying

= 1.9.18- 4/20/2022 =
*fix - anon checkout && javascript displaying

= 1.9.17 - 4/20/2022 =
*fix - starting plugin checking for WooCommerce class

= 1.9.16 - 4/14/2022 =
*fix - session fields

= 1.9.15 - 4/7/2022 =
*add - password field in quote request page

= 1.9.14 - 4/5/2022 =
*fix - do_action('rfqtk_woocommerce_checkout_create_order_line_item', $item, $cart_item_key, $values,$item_id,$cart_item);

= 1.9.13 - 4/4/2022 =
*add - quote page setting

= 1.9.12 - 3/30/2022 =
*add - translated proceed to checkout

= 1.9.11 - 3/23/2022 =
*fix - spelling

= 1.9.10 - 3/21/2022 =
*fix - anon checkout issue

= 1.9.9 - 3/19/2022 =
*fix - quote cart , view cart link and widget issues

= 1.9.8 - 3/15/2022 =
*fix - quote cart undefined variable

= 1.9.7 - 3/14/2022 =
*fix - thank you page

= 1.9.6 - 3/10/2022 =
*fix - problem with anon checkout when prices are hidden

= 1.9.5 - 3/3/2022 =
*remove - metadata for product addons

= 1.9.3 - 2/24/2022 =
*FIX - Cart issues
*FIX - Add to Cart issues

= 1.9.2 - 2/22/2022 =
*ADD - WordPress 5.9.1

= 1.9.1 - 2/15/2022 =
*FIX - PHP session as an alternative for hosting providers that don't allow custom cookies

= 1.9 - 2/13/2022 =
*add - PHP session as an alternative for hosting providers that don't allow custom cookies
*add - Test WooCommerce version 6.2.0
*fix - View Cart and Update cart texts not showing

= 1.8.294 - 2/7/2022 =
*fix - prices not showing after RFQ checkout

= 1.8.293 - 1/31/2022 =
*fix - problem with recipient list in admin emil

= 1.8.292 - 1/31/2022 =
*fix - problem with recipient list in admin emil

= 1.8.291 - 1/30/2022 =
*fix - the issue with payment method not showing in RFQ mode

= 1.8.290 - 1/30/2022 =
*fix - metadata on variations
*fix - show correct label for variable products
*add - subscription and variable subscription products

= 1.8.289 - 1/20/2022 =
*fix - default number of days in the cart
*add - instructions for dealing with caching plugins

= 1.8.288 - 1/19/2022 =
*fix - no totals in the email

= 1.8.287 - 1/18/2022 =
*fix - remove warning regarding no payment method

= 1.8.286 - 1/17/2022 =
*fix - pot file

= 1.8.285
 *add - handle out of stock quote items

= 1.8.284
 *add - handle out of stock quote items

= 1.8.283
*add - test WordPress 5.8.3, test WooCommerce 6.1.0

= 1.8.282
 *remove - gpls_woo_rfq_individual_price_hidden_tax

= 1.8.281
 *fix - change the filter for gpls_woo_rfq_individual_price_hidden_tax

= 1.8.280
 *add - test with WooCommerce 6.0.0

= 1.8.279
*Fix - create session table backward compatible with MYSQL 5.1

= 1.8.278
modify gpls_woo_rfq_order_needs_shipping

= 1.8.277
fix  error with 275 gpls_woo_rfq_purchase_only

= 1.8.276
fix  error with 275 gpls_woo_rfq_purchase_only

= 1.8.275
function for items that need shipping

= 1.8.274
fix new table creation hook


= 1.8.273
fix Page auto scrolls down when changing image (support forum issue)

= 1.8.272
fix incorrect version

= 1.8.270
move sessions to a new table.

= 1.8.269
reduce number of records for session cleanup
= 1.8.267
multiple fixes : country required js not working,
address session issues

= 1.8.266
fix hide phone

= 1.8.265
test WooCommerce 5.9.0
test WP 5.8.2

= 1.8.264
add to cart again label

= 1.8.263
fix old sessions not getting cleaned
test WooCommerce 5.8.0

= 1.8.262
reverse the error introduced to fix the payment gateway

= 1.8.261
reverse the error introduced to fix the payment gateway


= 1.8.260
fix payment gateway not showing in some configuratins
fix php 8.0 issue for optional parameter

= 1.8.259
change the priority of "woocommerce_product_options_advanced"

= 1.8.258
Test WP up to: 5.8.1
Test WC up to: 5.7.1
Add option to add a string to the beginning of cookie name


= 1.8.257
Test WC up to: 5.7.1

= 1.8.256
Test WP up to: 5.8.0
Test WC up to: 5.6

= 1.8.255 - 5/7/2021
fix multiple errors introduced by recent updates

= 1.8.249 - 3/15/2021
CSS quote cart

= 1.8.248 - 3/11/2021
Tested for WooCommerce 5.1 WP 5.7

= 1.8.247 - 2/19/2021
Tested for WooCommerce 5.0

= 1.8.246 - 2/5/2021
Add a hook for recaptcha

= 1.8.245 - 1/31/2021
force loading Customer address

= 1.8.244 - 1/30/2021
Test WooCommerce 4.9.2. Add new hook in the quote list. fix customer email

= 1.8.243 - 1/19/2021
don't allow stock reduction on quote orders

= 1.8.242 - 1/18/2021
fix jquery load deprecation

= 1.8.241 - 1/16/2021
fix unclosed script tag

= 1.8.240 - 1/16/2021
fix unclosed script tag

= 1.8.239 - 1/14/2021
Template path/ Order status pending

= 1.8.238 - 1/14/2021
Template path


= 1.8.237 - 1/12/2021
add $email to the email footer action. Template path


= 1.8.236 - 1/11/2021
locate template dir

= 1.8.235 - 1/8/2021
locate template

= 1.8.234 - 1/7/2021
fix template path

= 1.8.233 - 1/5/2021
fix template path

= 1.8.232 - 12/15/2020
fix wrong session life

= 1.8.231 - 12/15/2020
session & remove debug code

= 1.8.229 - 12/14/2020
remove extra writing to logs and session issues

= 1.8.228 - 12/13/2020
session problem

= 1.8.227 - 11/18/2020
zero dollar orders


= 1.8.226 - 11/16/2020
fix init problem


= 1.8.225 - 11/15/2020
fix issue zero dollars

= 1.8.224 - 11/13/2020
fix issues with products with blank prices

= 1.8.223 - 11/7/2020
links scrolling to the top

= 1.8.222 - 10/27/2020
ML fatal error issue

= 1.8.220 - 10/19/2020
fix setting label instruction

= 1.8.219 - 10/14/2020
WOO Session null handling problem

= 1.8.218 - 10/8/2020
WOO Session null handling problem

= 1.8.217 - 9/28/2020
Add to quote position in shop and archive pages.

= 1.8.216 - 9/27/2020
Add to quote position in shop and archive pages.

= 1.8.215 - 9/9/2020
widget display

= 1.8.214 - 9/2/2020
quote request page style fix

= 1.8.213 - 8/24/2020
quote request page style

= 1.8.212 - 8/2/2020
check for older versions of email without additional content

= 1.8.211 - 7/30/2020
Fix warnings for is_page called incorrectly.

= 1.8.210 - 7/29/2020
fix all prices hidden in normal checkout


= 1.8.209 - 7/29/2020
fix all prices hidden in normal checkout

= 1.8.208 - 7/27/2020
woocommerce product addons prices in quote request page

= 1.8.207 - 7/26/2020
multiple fixes

= 1.8.206 - 7/24/2020
fix orders prices in my account area

= 1.8.205 - 7/23/2020
fix class not found

= 1.8.204 - 7/21/2020
force remove payment method name in totals for quote request

= 1.8.202 - 7/8/2020
redirect issue for quote cart

= 1.8.201 - 7/6/2020
fix link to cart

= 1.8.200 - 7/1/2020
Provide a filter to execute price hiding in the admin area for some themes that need it.
Turn link to quote cart to a template

= 1.8.199 - 7/1/2020
Provide a filter to execute price hiding in the admin area for some themes that need it.

= 1.8.198 - 6/24/2020
WooCommerce product-addons subtotal lines show/hide

= 1.8.197 - 6/24/2020
Fix sending header too early for caches

= 1.8.196 - 6/24/2020
Fix sending header too early for caches

= 1.8.195 - 6/23/2020
Fix single product template

= 1.8.194 - 6/22/2020
fix caching plugins error in the single product page

= 1.8.193 - 6/21/2020
fix single product page wc_get_product warning

= 1.8.192 - 6/13/2020
Ajax fix. Redirect fix

= 1.8.191 - 6/3/2020
Ajax on archives fires even when turned off

= 1.8.190 - 6/3/2020
Proceed to checkout button fix

= 1.8.189 - 6/2/2020
Proceed to checkout button fix

= 1.8.188 - 5/29/2020
fix TM Extra product

= 1.8.187 - 5/28/2020
fix redirect

= 1.8.186 - 5/27/2020
fix add to cart not showing

= 1.8.185 - 5/26/2020
fix prices not showing

= 1.8.184 - 5/25/2020
fix prices not showing

= 1.8.183 - 5/24/2020
fix prices not showing

= 1.8.182 - 5/24/2020
fix alert(1) test

= 1.8.181 - 5/22/2020
Add to cart instead of add to quote problem

= 1.8.180 - 5/21/2020
Add to cart problem

= 1.8.179 - 5/15/2020
Product Bundles Price not showing

= 1.8.178 - 5/13/2020
Ajax single page product did not refresh the view list label

= 1.8.177 - 5/8/2020
fix label for submit button setting

= 1.8.176 - 4/27/2020
try to prevent duplicate emails

= 1.8.175 - 4/26/2020
try to prevent duplicate emails

= 1.8.174 - 4/20/2020
proceed to checkout label fix

= 1.8.173 - 4/14/2020
order status label

= 1.8.172 - 4/13/2020
checkout button issue for normal checkout

= 1.8.171 - 4/7/2020
fix add to cart hook for anon

= 1.8.170 - 4/6/2020
Template Path issue, provide default path

= 1.8.169 - 3/24/2020
Make classes available for hooks

= 1.8.168 - 3/13/2020
fix delete old sessions

= 1.8.167 - 3/12/2020
WooCommerce 4.0 tested

= 1.8.166 - 3/3/2020
Force prices to show for sales staff.

= 1.8.165 - 2/19/2020
fix warning about the constant missing

= 1.8.164 - 2/18/2020
fix losing cart after logging out.

= 1.8.163 - 2/16/2020
fix session garbage collection.

= 1.8.162 - 2/3/2020
rfq cart

= 1.8.161 - 2/1/2020
price and total area visibility for WooCommerce Product Add-ons

= 1.8.160 - 1/14/2020
prices in cart & checkout area

= 1.8.159 - 1/13/2020
prices in myaccount area

= 1.8.158 - 12/28/2019
quote cart fixes. remove echo

= 1.8.157 - 12/17/2019
quote cart fixes

= 1.8.156 - 12/8/2019
remove debug code

= 1.8.155 - 12/8/2019
add Domain Path: /languages/ for loco

= 1.8.153 - 12/3/2019
remove custom css after item removed. Price visibility Handled elsewhere.

= 1.8.152 - 12/2/2019
fix add to quote not showing for no price

= 1.8.151 - 11/28/2019
remove count from quote cart

= 1.8.150 - 11/19/2019
remove debug write_log

= 1.8.149 - 11/19/2019
Fix email header

= 1.8.148 - 11/11/2019
fix cart item for anon

= 1.8.147 - 11/3/2019
fix customer note

= 1.8.146 - 11/2/2019
fix email issues

= 1.8.145 - 10/21/2019
fix products showing when out of stock

= 1.8.144 - 9/26/2019 =
fix column RFQ sorting in order admin screen
add parameter in email to allow hiding prices in admin to shop managers

= 1.8.143 - 8/5/2019 =
fix hidden prices

= 1.8.142 - 8/4/2019 =
fix "successfully" spelling.
fix custom label for cart

= 1.8.141 - 6/30/2019 =
Fix language files

= 1.8.140 - 6/27/2019 =
Fix notice error

= 1.8.139 - 6/20/2019 =
Change attribution.

= 1.8.138 - 6/19/2019 =
Change session to transient for widget

= 1.8.137 - 6/8/2019 =
Fix language file

= 1.8.133 - 5/11/2019 =
Widget ajax update

= 1.8.132 - 5/3/2019 =
Fix payment page issue

= 1.8.131 - 4/26/2019 =
Error handling for failed orders
Css correction to hide add to quote

= 1.8.130 - 4/16/2019 =
fix add to cart hiding

= 1.8.129 - 4/16/2019 =
fix add to cart hiding


= 1.8.128 - 4/15/2019 =
fix price bug


= 1.8.127 - 4/13/2019 =
fix price bug

= 1.8.126 - 4/13/2019 =
fix price bug


= 1.8.124 - 4/4/2019 =
fix price bug

= 1.8.122 - 3/22/2019 =
WC product add-ons

= 1.8.121 - 3/21/2019 =
add notices

= 1.8.119 - 3/14/2019 =
settings issue

= 1.8.118 - 3/12/2019 =
email issue cart

= 1.8.117 - 3/12/2019 =
fix rfq cart

= 1.8.116 - 3/12/2019 =
fix add meta data to order issue


= 1.8.115 - 3/11/2019 =
Fix more css bug for single product page

= 1.8.113 - 3/10/2019 =
Fix bug in the cart not showing prices

= 1.8.112 - 2/27/2019 =
Add to quote template for shop and archive pages

= 1.8.111 - 2/8/2019 =
Add to quote single template

= 1.8.110 - 2/8/2019 =
css adj

= 1.8.109 - 2/4/2019 =
invalid payment method

= 1.8.108 - 2/2/2019 =
screen shot and description

= 1.8.107 - 1/25/2019 =
Fix rfq cart css

= 1.8.106 - 1/25/2019 =
Fix rfq cart css

= 1.8.104 - 1/22/2019 =
Fix subscription address problem

= 1.8.103 - 1/18/2019 =
Quote Cart CSS

= 1.8.102 - 1/17/2019 =
fixed problem with spinner gif. remove cart class from quote list page.
Fixed problem with custom attributes not showng in quote list.

= 1.8.99 - 11/8/2018 =
Country and state on quote request

= 1.8.98 - 11/7/2018 =
Country and state on quote request

= 1.8.97 - 10/30/2018 =
site crash problem


= 1.8.96 - 10/28/2018 =
$product string problem

= 1.8.95 - 10/27/2018 =
Customer Notes

= 1.8.94 - 9/28/2018 =
*anon issues

= 1.8.93 - 9/20/2018 =
*duplicate email items

= 1.8.92 - 9/20/2018 =
*customer note, no variation label warning

= 1.8.91 - 9/18/2018 =
*fix bug in add to cart. Friday update broke ajax add

= 1.8.90 - 9/18/2018 =
*rfq enable function

= 1.8.89 - 9/15/2018 =
*rfq enable function, order of label changing, rfq cart warnings

= 1.8.88 - 9/8/2018 =
* locate template adj
* put back missing Customer notes

= 1.8.87 - 9/3/2018 =
 * Ajax add to quote

= 1.8.85 - 8/12/2018 =
* languages

= 1.8.84 - 8/12/2018 =
* fix redirect problem

= 1.8.83 - 7/31/2018 =
* Add respond to in the customer note

= 1.8.82 - 7/11/2018 =
* Fix CSS for single page


= 1.8.79 - 6/22/2018 =
* Fix Add To Cart for bundled

= 1.8.78 - 6/22/2018 =
* Fix Add To Cart for bundled

= 1.8.77 - 6/11/2018 =
* Fix Add To Cart

= 1.8.76 - 6/7/2018 =
* Fix Bug with sessions

= 1.8.75 - 6/7/2018 =
* Fix Bug with sessions


= 1.8.74 - 6/7/2018 =
* Fix Email missing hook

= 1.8.73 - 5/22/2018 =
* Fixed Add to quote from single

= 1.8.70 - 5/22/2018 =
* Fixed Add to quote from single

= 1.8.68 - 5/22/2018 =
* MOVE FILE UPLOAD IN RFQ CART

= 1.8.67 - 5/1/2018 =
* garbage collection job

= 1.8.66 - 5/1/2018 =
* garbage collection job

= 1.8.65 - 4/26/2018 =
* remove empty

= 1.8.64 - 4/19/2018 =
* fix the order of loading the plugin

= 1.8.63 - 4/18/2018 =
* fix "add to cart" button focus

= 1.8.62 - 4/10/2018 =
* add to cart link filter

= 1.8.61 - 3/31/2018 =
* unclosed div

= 1.8.60 - 3/23/2018 =
* gateway problems


= 1.8.59 - 3/19/2018 =
* style problem

= 1.8.58 - 3/7/2018 =
* undefined variable $readmore

= 1.8.57 - 3/5/2018 =
* increase cookie time

= 1.8.56 - 3/2/2018 =
* session cookie

= 1.8.54 - 2/15/2018 =
* order time & Date

= 1.8.53 - 2/14/2018 =
* fix undefined constant gpls_woo_rfq_INQUIRE_TEXT

= 1.8.52 - 2/14/2018 =
* Translation for options

= 1.8.51 - 2/14/2018 =
* Fix blank customer notes

= 1.8.50 - 2/13/2018 =
* Translation for options


= 1.8.49 - 2/13/2018 =
* Quantity problem on quote cart-js error

= 1.8.48 - 2/9/2018 =
* Quantity problem on quote cart

= 1.8.47 - 1/25/2018 =
* suppress the non-numeric warning

= 1.8.46 - 1/25/2018 =
* fix problem with current_user function


= 1.8.45 - 1/25/2018 =
* fix problem with current_user function

= 1.8.44 - 1/24/2018 =
* fix price not showing on thankyou

= 1.8.43 - 1/22/2018 =
* fix order metadata


= 1.8.42 - 1/9/2018 =
* fix error in extra code

= 1.8.41 - 1/8/2018 =
* fix order meta

= 1.8.40 - 12/12/2017 =
* fix php 7.1 errors, add to quote option

= 1.8.39 - 12/12/2017 =
* fix order metadata

= 1.8.38 - 12/12/2017 =
* fix order metadata

= 1.8.37 - 12/8/2017 =
* fixe confirmation message

= 1.8.36 - 11/8/2017 =
* fixe confirmation message

= 1.8.35 - 11/3/2017 =
* fixes css in admin

= 1.8.34 - 10/25/2017 =
* fixes css in admin

= 1.8.33 - 10/25/2017 =
* fixes css in admin

= 1.8.32 - 10/25/2017 =
* fixes for labels

= 1.8.31 - 10/25/2017 =
* fixes for labels

= 1.8.30 - 10/24/2017 =
* remove short code from admin or if woocommerce not loaded

= 1.8.29 - 10/24/2017 =
* remove short code from admin

= 1.8.28 - 10/10/2017 =
* Label for variable product add to cart/quote

= 1.8.27 - 10/3/2017 =
* Hook for order meta data

= 1.8.26 - 9/28/2017 =
* Remove garbage text from button

= 1.8.25 - 9/23/2017 =
* Fix adding non purchasable items through url visit

= 1.8.24 - 8/30/2017 =
* fix label for variable products

= 1.8.22 - 8/20/2017 =
* exclude external

= 1.8.19 - 8/18/2017 =
* exclude external

= 1.8.18 - 8/17/2017 =
* change request page to text. Remove buffering to avoid conflicts

= 1.8.17 - 8/8/2017 =
* fix problem with redirect

= 1.8.15 - 8/8/2017 =
* fix problem with woocommerce_loop add_to_cart_link

= 1.8.14 - 8/8/2017 =
* fix double * for required

= 1.8.13 - 8/7/2017 =
* fix the redirect

= 1.8.12 - 8/3/2017 =
* fix rfq cart required labeling conflict


= 1.8.11 - 7/14/2017 =
* fix empty issue


= 1.8.10 - 7/14/2017 =
* fix bug for anon checkou

= 1.8.9 - 7/13/2017 =
* Remove empty to make it compatible for php less than 5.6 when variable is null

= 1.8.8 - 7/11/2017 =
* Fix settings page


= 1.8.7 - 7/10/2017 =
* Fix undefined variable in email

= 1.8.6 - 7/8/2017 =
* Fixed extra customer note email.
* Remove woocommerce css.
* Fix username generation when creating new account


= 1.8.5 - 6/30/2017 =
* Single add to product for blank vs zero

= 1.8.4 - 6/30/2017 =
* remove jquery validation

= 1.8.3 - 6/28/2017 =
* javascript errors on dashboard. Undefined function

= 1.8.1 - 6/26/2017 =
* fix Add to cart button flash in single page


= 1.7.99999.24 - 6/25/2017 =
* language files

= 1.7.99999.23 - 6/19/2017 =
* fixed prices not showing in orders. Hide prices in email to customers for added notes

= 1.7.99999.22 - 6/18/2017 =
* fixed Customer phone not adding to order. Link to cart in rfq was wrong


= 1.7.99999.22 - 6/18/2017 =
* fixed Customer phone not adding to order. Link to cart in rfq was wrong

= 1.7.99999.21 - 6/18/2017 =
* Fix quote request not firing. Bundled product for wc 3.0

= 1.7.99999.20 - 6/18/2017 =
* Fix jquery validation & css. add to cart on single


= 1.7.99999.19 - 6/14/2017 =
* Product number in single add to cart. label for cart. fix jquery validation loading.

= 1.7.99999.18 - 6/14/2017 =
* Fix Prices not showing in RFQ mode

= 1.7.99999.17 - 6/14/2017 =
* Fix labels for proceed to checkout

= 1.7.99999.16 - 6/14/2017 =
* Fix language. RFQ page. Formattting

= 1.7.99999.16 - 6/14/2017 =
* Fix language. RFQ page. Formattting

= 1.7.99999.15 - 6/9/2017 =
* Fix mini cart prices. Translation update

= 1.7.99999.14 - 6/5/2017 =
* RFQ Wording added to cart messages


= 1.7.99999.13 - 6/5/2017 =
* Fix RFQ with blank prices not getting added to cart

= 1.7.99999.12 - 6/1/2017 =
* Fix RFQ with blank prices not getting added to cart


= 1.7.99999.11 - 6/1/2017 =
* Fix RFQ with prices showing

= 1.7.99999.10 - 5/31/2017 =
* Fix no prices

= 1.7.99999.9 - 5/30/2017 =
* Fix single page adding to cart with 0 prices


= 1.7.99999.8 - 5/29/2017 =
* Fix adding to cart with 0 prices


= 1.7.99999.7 - 5/29/2017 =
* Fix session issues for PHP 5.2.
Fix email double for WC 3.0.
Fix prices not showing for admin email


= 1.7.99999.6 - 5/29/2017 =
* Fix Prices after add to cart


= 1.7.99999.5 - 5/29/2017 =
* Fix Prices not showing in normal checkout

= 1.7.99999.4 - 5/29/2017 =
* Fix Prices not showing in normal checkout

= 1.7.99999.3 - 5/17/2017 =
* WC 3.0 upgrade email break fixes

= 1.7.99999.2 - 5/16/2017 =
* Order and email metadata

= 1.7.99999.1 - 5/15/2017 =
* Remove warning for price from prefix


= 1.7.99999 - 5/5/2017 =
* order creation WC 3.0 fixes


= 1.7.99998 - 5/4/2017 =
* missing customer detail from admin email


= 1.7.99997 - 5/4/2017 =
* missing add to cart links for anon visitors


= 1.7.99996 - 5/2/2017 =
* missing page check


= 1.7.99995 - 5/2/2017 =
* upgrade session manager fix

= 1.7.99994 - 5/1/2017 =
* upgrade session manager

= 1.7.99993 - 4/24/2017 =
* Move product setup to Advanced Tab from general

= 1.7.99992 - 4/24/2017 =
* fix emails after WC 3.0 updates

= 1.7.99991 - 4/18/2017 =
* fix empty for 5.4


= 1.7.9999 - 4/17/2017 =
* normal checkout single page

= 1.7.9998 - 4/17/2017 =
* WC 3.0 changes

= 1.7.9997 - 3/30/2017 =
* wrong constant name for session

= 1.7.9996 - 3/28/2017 =
* fixed zero price and stock management

= 1.7.9995 - 2/20/2017 =
* fixed zero price needing payment not triggering.

= 1.7.9994 - 2/20/2017 =
* fix add cart showing in rfq items


= 1.7.9993 - 2/20/2017 =
* fix fatal error

= 1.7.9992 - 2/19/2017 =
* prices in payment page


= 1.7.9991 - 2/18/2017 =
* prices in payment page

= 1.7.999 - 2/18/2017 =
* prices in payment page

= 1.7.998 - 2/11/2017 =
* prices in paid emails not showing

= 1.7.997 - 2/10/2017 =
* Cumulative fixes for admin email price and zero price

= 1.7.996 - 2/9/2017 =
* Variable product avialability

= 1.7.995 - 2/7/2017 =
* Checkout problem when prices were showing

= 1.7.994 - 2/6/2017 =
* no javascript problem

= 1.7.993 - 1/29/2017 =
* fix css for menu cart


= 1.7.992 - 1/28/2017 =
* price format in rfq mode
* variation price on some themes

= 1.7.991 - 1/22/2017 =
* fix wp_session conflicts

= 1.7.990 - 1/16/2017 =
* Switchto wp_session from woocommerce session

= 1.7.989 - 1/9/2017 =
* Customer notes problem fixed

= 1.7.988 - 1/8/2017 =
* RFQ Page name first and last required problem

= 1.7.987 - 1/5/2017 =
* Settings Page

= 1.7.986 - 1/2/2017 =
* Zipcode issue

= 1.7.985 - 12/31/2016 =
* Out of Stock  issues


= 1.7.984 - 12/26/2016 =
* Fix for missing label for country


= 1.7.984 - 12/2/2016 =
* More labels, mobile friendly version of Request for Quote Page


= 1.7.983 - 12/2/2016 =
* More labels, mobile friendly version of Request for Quote Page

= 1.7.982 - 11/24/2016 =
* no shipping problem

= 1.7.981 - 11/23/2016 =
* no shipping problem

= 1.7.980 - 11/23/2016 =
* Empty cart fix


= 1.7.979 - 11/18/2016 =
* Custeomer email notification

= 1.7.978 - 11/18/2016 =
* order receives message

= 1.7.977 - 11/18/2016 =
* order receives message

= 1.7.976 - 11/15/2016 =
* language po files

= 1.7.975 - 11/15/2016 =
* shop page add to cart

= 1.7.974 - 11/15/2016 =
* empty cart update cart


= 1.7.972 - 11/15/2016 =
* empty cart

= 1.7.971 - 11/15/2016 =
* add to cart & link on single page


= 1.7.970 - 11/9/2016 =
* fix view cart adding to cart

= 1.7.969 - 11/8/2016 =
* menu and page creatiion errors

= 1.7.968 - 11/7/2016 =
* parse_url error


= 1.7.967 - 11/6/2016 =
* menu creation error


= 1.7.966 - 11/5/2016 =
* css rfq cart


= 1.7.965 - 11/4/2016 =
* page creation problem


= 1.7.964 - 11/4/2016 =
* blank page option

= 1.7.963 - 11/4/2016 =
* style the request to quote button

= 1.7.962 - 11/3/2016 =
* fixes for orders meta data, remove warnings bundled items

= 1.7.961 - 11/3/2016 =
* fixes for orders meta data, remove warnings for tax totals

= 1.7.96 - 11/2/2016 =
* fix add to cart hook lower priority

= 1.7.95 - 10/31/2016 =
* bug fixes including create page, menu

= 1.7.9.2 - 10/23/2016 =
* fix the missing free notice

= 1.7.9.1 - 10/23/2016 =
* fixed shipping zones issue

= 1.7.9 - 10/19/2016 =
* fixed tax warning

= 1.7.89 - 10/19/2016 =
* fixed add to cart button in shop. rfq cart formating and orders with rfq status label changed to "Quote Request"

= 1.7.88 - 10/19/2016 =
* cumulative bug fixes

= 1.7.87 - 10/18/2016 =
* add to cart button and view rfq cart position to increase theme compatibility

= 1.7.86 - 10/15/2016 =
* bug fixes blank page on installation page and menu. bundled items quantity update

= 1.7.85 - 10/15/2016 =
* bug fixes shipping calc,blank checkout option, double div on updates

= 1.7.84 - 10/13/2016 =
* bug fixes link to rfq cart

= 1.7.83 - 10/13/2016 =
* bug fixes for quote request menu and bundled price single page

= 1.7.82 - 10/13/2016 =
* bug fixes for account creation and order data

= 1.7.81 - 10/13/2016 =
* bug fixes for rfq cart not showing and shipping calcualtor


= 1.7.8 - 10/8/2016 =
* fix option defaults for new installs
* fix cart totals

= 1.7.7 - 10/8/2016 =
* support for bundled items in rfq cart and orders
* new admin settings section
* fix sales flash for bundled items on sale and rfq enabled

= 1.7.6 - 10/6/2016 =
* fix order totals

= 1.7.5 - 10/5/2016 =
* fix available and cart totals

= 1.7.4 - 10/3/2016 =
* fix error with cart and zero showing in single product page


= 1.7.3 - 9/30/2016 =
* fix proceed to checkout button

= 1.7.2 - 9/27/2016 =
* rfq page exit

= 1.7.1 - 9/26/2016 =
* hide tax rate

= 1.7 - 9/21/2016 =
* Removed most templates

= 1.6.9 - 8/26/2016 =
* Fix visitor rfq name and email
= 1.6.8 - 8/23/2016 =
* Add coupon enabled check on cart, metaorder doaction in rfq submit, bug fixes

= 1.6.7 - 6/7/2016 =
* Fix problems with variable products in normal checkout and javascript errors. Add default rfq list page to menu automatically

= 1.6.7 - 6/6/2016 =
* Add default page for RFQ page for the normal checkout page

= 1.6.6 - 5/8/2016 =
* Removed Ninja Form

= 1.6.5 - 4/29/2016 =
* Fix bug with RFQ page for logged in users

= 1.6.4 - 4/29/2016 =
* Update settings page, allow link to rfq page vs modal popup
= 1.6.3 - 4/8/2016 =
* bug fix with debug function

= 1.6.2 - 4/8/2016 =
* bug fix with debug function


= 1.6.1 - 4/8/2016 =
* fixed problems wordings for variable rfq

= 1.6 - 4/6/2016 =
* problems with anon orders


= 1.5.9 - 4/1/2016 =
* problems with anon orders

= 1.5.8 - 4/1/2016 =
* problems with bundled products orders
= 1.5.7 - 4/1/2016 =
* problems with bundled products orders

= 1.5.5 - 4/1/2016 =
* improve problems with bundled products

= 1.5.4 - 4/1/2016 =
* Fix problems with my account or order detail

= 1.5.3 - 4/1/2016 =
* Support for variable products, short code for rfq cart, change wordings in settings

= 1.4.9 - 3/19/2016 =
* Bug fix css / js

= 1.4.8 - 3/18/2016 =
* Bug fix css / js

= 1.4.7 - 3/18/2016 =
* Bug fix css

= 1.4.6 - 3/18/2016 =
* Bug fix normal checkout show prices

= 1.4.5 - 3/14/2016 =
* Bug fix variation price

= 1.4.4 - 3/14/2016 =
* CSS Bug fix for RFQ cart


= 1.4.3 - 3/14/2016 =
* CSS Bug fix for RFQ cart

= 1.4.2 - 3/14/2016 =
* Bug fix for RFQ cart

= 1.4.1 - 3/14/2016 =
* Bug fix for RFQ cart

= 1.4 - 3/14/2016 =
* Major Upgrade for normal checkout as well as bugfixes

= 1.3.2 - 2/23/2016 =
* Bug fixes for order status
= 1.3.1 - 2/23/2016 =
* Add filter for proceed to checkout and submit order
= 1.3 - 2/19/2016 =
* Fix bug add to cart not showing when Ninja Forms not installed
= 1.2.9 - 2/8/2016 =
* Fix bug when ninja forms deleted
= 1.2.8 - 2/8/2016 =
* Fix bug with prices showing during normal checkout when it was added to RFQ
= 1.2.7 - 2/10/2016 =
* Fixed bug in defaults
= 1.2.6 - 2/10/2016 =
* Fixed bug to uncheck add to RFQ in product editing
= 1.2.5 - 2/8/2016 =
* Hide prices for visitor only
= 1.2.4 - 2/04/2016 =
* Ninja Form Integration
= 1.2.3 - 1/30/2016 =
* Fix email templates for price/no price
* Add email resend actions in the admin section
= 1.2.2 - 1/29/2016 =
* bug fix
= 1.2.1 - 1/29/2016 =
* bug fix
= 1.2 - 1/27/2016 =
* bug fix
= 1.1.9 - 1/27/2016 =
* bug fix
= 1.1.8 - 1/27/2016 =
* Ability to show/hide prices.
* Make RFQ status editable
* Show coupons applied when submitting a RFQ
* Allow redeeming coupons when submitting a RFQ
= 1.1.8 - 1/26/2016 =
* Fixed checkout page to show shipping and remove payment method "quote_request"
= 1.1.7 - 1/16/2016 =
* Fixed readme
= 1.1.6 - 1/16/2016 =
* Fixed parameter missing warning
= 1.1.5 - 1/15/2016 =
* Fixed readme. Fixed warning
= 1.1.4 - 1/15/2016 =
* Fixed thank you message after paying for order
= 1.1.3 - 1/14/2016 =
* Fixed warning
= 1.1.2 - 1/13/2016 =
* Fixed typo in js directory name
* Fixed missing argument in cart filter
= 1.1.1 - 1/13/2016 =
* Fixed undefined property in register activation.
= 1.1 - 1/10/2016 =





